Summary: The most widely used Web server on the Internet.
Summary(fr): Le serveur web le plus utilise sur Internet.
Summary(ru):   -  .

Name: apache-asf
%define apache_version 1.3.12
%define apache_release 1mdk
Version: %{apache_version}
Release: %{apache_release}
Group: System/Servers
Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>
Vendor: MandrakeSoft
Distribution: Linux-Mandrake

Source: apache_%{version}.tar.bz2
Source2: httpd.conf
Source4: apache.logrotate
Source23: mime.types

Patch1: apache_1.3.11-apxs.patch.bz2
Patch2: apache_1.3.11-srvroot.patch.bz2
Patch3: apache_1.3.3-nondbm.patch.bz2
Patch4: Configuration.diff.bz2

Copyright: Apache License
BuildRoot: /var/tmp/apache-root
Provides: webserver

%description
Apache is a powerful, full-featured, efficient and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

%description -l fr
Apache est un serveur Web puissant, efficace, gratuit et complet. Apache est
aussi le serveur Web le plus populaire sur Internet.

%description -l ru
Apache - , ,  
  -.

%package devel
Group: Development/C
Summary: Module development tools for the Apache web server.
Summary(fr): Les outils de developpement de modules pour le serveur web Apache
Obsoletes: secureweb-devel
Requires: %{name} >= %{apache_version}-%{apache_release}


%description devel
The apache-devel package contains the source code for the Apache
Web server and the APXS binary you'll need to build Dynamic
Shared Objects (DSOs) for Apache.

If you are installing the Apache Web server and
you want to be able to compile or develop additional modules
for Apache, you'll need to install this package.

%description -l fr devel
Le package apache-devel contient le code source pour le serveur Web Apache
et le binaire APXS dont vous aurez besoin pour construire des Objets
Dynamiques Partages (DSOs) pour Apache.

Si vous installez le serveur Web Apache et voulez etre en mesure de compiler
ou de developper des modules additionnels pour Apache, vous devrez installer
ce package.

%prep
# first, unpack apache.
%setup -q -n apache_%{apache_version}
%patch1 -p1 
%patch2 -p1 
%patch3 -p1 
%patch4 -p1

%build
OPTIM="$RPM_OPT_FLAGS" LIBS=-lgdbm \
	./configure --prefix=/usr \
	--with-layout=Mandrake \
	--disable-rule=WANTHSREGEX \
	--enable-module=all \
	--enable-shared=max \
	--disable-module=auth_dbm \
	--disable-module=auth_digest \
	--with-perl=/usr/bin/perl \

make

if [ x"$SMP" != x"" ]; then
	make MAKE="make -j $SMP -k"
else make
fi


%install
rm -rf $RPM_BUILD_ROOT
make install root=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/sbin/httpd

# rename the html directory
#mv $RPM_BUILD_ROOT/home/httpd/htdocs $RPM_BUILD_ROOT/home/httpd/html

# Fix perl paths
perl -pi -e "s|/usr/local/bin/perl5|/usr/bin/perl|g;" \
	$RPM_BUILD_ROOT/home/httpd/html/manual/search/manual-index.cgi
perl -pi -e "s|/usr/local/bin/perl|/usr/bin/perl|g;" \
	$RPM_BUILD_ROOT/home/httpd/html/manual/misc/howto.html
perl -pi -e "s|/path/to/bin/perl|/usr/bin/perl|g;" \
	$RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_rewrite.html



mkdir -p $RPM_BUILD_ROOT/lib

# install log rotation stuff
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m644 $RPM_SOURCE_DIR/apache.logrotate \
	$RPM_BUILD_ROOT/etc/logrotate.d/apache

ln -s ../../var/log/httpd $RPM_BUILD_ROOT/etc/httpd/logs
ln -s ../../usr/lib/apache $RPM_BUILD_ROOT/etc/httpd/modules


#install misc documentation and logos
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/mod
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/images

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/httpd.init.mandrake \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/httpd
for I in 0 1 2 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K15httpd
done
for I in 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S85httpd
done

mv $RPM_BUILD_ROOT/home/httpd/html/manual/ \
	$RPM_BUILD_DIR/apache_%{apache_version}/

mv $RPM_BUILD_ROOT/home/httpd/html/index.html.en \
	$RPM_BUILD_ROOT/home/httpd/html/index.html

cp -f %{SOURCE2} $RPM_BUILD_ROOT/etc/httpd/conf

%clean
rm -rf $RPM_BUILD_ROOT

%post

if [ -f /var/run/httpd.pid ]; then 
   /usr/sbin/apachectl restart
fi
ln -s /usr/doc/%{name}-%{apache_version} /home/httpd/html/manual

%preun
if [ $1 = 0 ]; then
   /bin/rm -fr /var/log/httpd/*
   /usr/sbin/apachectl stop
fi
rm /home/httpd/html/manual

%files
%defattr(-,root,root)
%dir /etc/httpd
%dir /etc/httpd/conf
%config /etc/httpd/conf/httpd.conf
%config /etc/httpd/conf/magic
%config /etc/httpd/conf/mime.types
%dir /home/httpd
%dir /home/httpd/cgi-bin
%dir /home/httpd/html
%config(noreplace) /home/httpd/html/index.html
/home/httpd/html/*.gif
%doc manual/*
/home/httpd/icons
/etc/httpd/logs
/etc/httpd/modules
/usr/lib/apache
/usr/man/*/*
/usr/sbin/ab
/usr/sbin/httpd
/usr/sbin/apachectl
/usr/sbin/logresolve
/usr/sbin/rotatelogs
/usr/bin/*

%attr(-,nobody,nobody) %dir /var/cache/httpd
%dir /var/log/httpd

%config /etc/*.d/*


%files devel
%defattr(-,root,root)
/usr/include/apache
/usr/sbin/apxs


%changelog
* Thu Apr 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-1mdk
- Created Apache-ASF package for purists
